'use strict';
define([
  'angular',

  'widgets/mapapp/quickquery/directives/quickquerywidget',
  'widgets/mapapp/quickquery/directives/toolbarquickquery',

  'angular-strap',
  'angular-strap.tpl',

  'angular-route',

  'toastr',
  'ol3js',
  'ng-table',
], function(angular, quickquerywidget, toolbarquickquery) {
  // generation du module
  var gcquickquery = angular.module('gc_quickquery', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
  ]);
  // ajout service

  // ajout controller

  // ajout directive gc
  // modelwidget.directive('gcmodelwidgetdir',gc_scalelinedirectives);
  gcquickquery.directive('quickquerywidget', quickquerywidget);
  gcquickquery.directive('toolbarquickquery', toolbarquickquery);

  // ajout factory

  //route provider

  return gcquickquery;
});
